%bcond_without bootstrap
# Generated from drb-2.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name drb

Name: rubygem-%{gem_name}
Version: 2.2.1
Release: %{autorelease}
Summary: Distributed object system for Ruby
License: Ruby and BSD-2-Clause
URL: https://github.com/ruby/drb
Source:  %{url}/archive/v%{version}/%{gem_name}-%{version}.tar.gz
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7.0
BuildRequires: rubygem(bundler)
BuildRequires: rubygem(rake)
BuildRequires: rubygem(test-unit)
BuildRequires: rubygem(test-unit-ruby-core)
%if %{without bootstrap}
BuildRequires: rubygem(drb)
%endif
BuildArch: noarch

%description
Distributed object system for Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%check
pushd .%{gem_instdir}
%if %{without bootstrap}
rake test TESTOPTS="--verbose"
%endif
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/drb.gemspec

%changelog
%autochangelog
